Gracias Gracias:  4
Me Gusta Me Gusta:  3
No me Gusta No me Gusta:  0
Mostrando resultados del 1 al 6 de 6

Tema: Actualización a 15.1 desde 15.0

  1. #1
    Fecha de Ingreso
    07-febrero-2007
    Ubicación
    Ourense
    Mensajes
    8.592
    Post Thanks / Like
    Poder de Credibilidad
    21

    Actualización a 15.1 desde 15.0

    Hola!

    Tras el anuncio de publicación de openSUSE 15.1, he actualizado mi sistema. Cambié la dirección de los repositorios y todo es y comienzas. Algunos repositorios no están listos, pero los que yo utilizo sí lo están.

    Hemos discutido aquí en el foro respecto al uso de zypper up y zypper dup para actualizar el sistema. Así que en este caso he optado por utilizar zypper up, Cuando he querido echar un vistazo al instalador de software de YaST me he encontrado con que no funcionaba, y he visto que la actualización no me sustituía el paquete libyui-ncurses-pkg8 por el paquete libyui-ncurses-pkg9. Había comenzado a rellenar un informe de error cuando he pensado en consultar la wiki inglesa de openSUSE para ver qué ponía sobre la actualización.

    Como es de esperar, en la wiki usan zypper dup así que he ejectuado el comando y ahora mismo estoy instalando 277 paquetes que habían quedado pendientes, entre ellos kernel-firmware que incluso exigirá un reinicio.

    Salud!!

  2. Gracias DiabloRojo, SergioNN ha agradecido este mensaje
    Me Gusta enae le ha gustado este mensaje
  3. #2
    Fecha de Ingreso
    16-noviembre-2010
    Ubicación
    Delante del ordenador
    Mensajes
    846
    Post Thanks / Like
    Poder de Credibilidad
    9
    ¿Que repos dejastes activos con versión cambiada? ¿Los oficiales de openSUSE o algún otro?

    Es que tengo un gran lista de repos (oficiales, Frameworks 5, Qt 5, KDE Apps, KDE Extra, Packman, kernel stable, Wine, Mozilla, libdvdcss, skype).


    Saludos

  4. #3
    Fecha de Ingreso
    06-agosto-2013
    Ubicación
    / Home
    Mensajes
    188
    Post Thanks / Like
    Poder de Credibilidad
    6
    Hola, yo he dejado los mismos, eliminado duplicados y sustituir 15.0 por 15.1.-

    salu2

    [PHP] enae@linux-7wp7:~> zypper lr -upPE
    # | Alias | Nombre | Habilitado | Comprobación GPG | Actualizar | Prioridad | URI
    ---+-------------------------------------+-----------------------------------+------------+------------------+------------+-----------+------------------------------------------------------------------------------------------------
    9 | packman.inode.at-suse | Packman Repository | Sí | (r ) Sí | Sí | 77 | http://packman.inode.at/suse/openSUSE_Leap_15.0/
    5 | http-download.opensuse.org-ec823e8a | KDE:Qt5 | Sí | (r ) Sí | Sí | 91 | http://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_15.0/
    3 | http-download.opensuse.org-7a9a9803 | KDE:Frameworks5 | Sí | (r ) Sí | Sí | 92 | http://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_15.0/
    2 | KDE_Frameworks5_openSUSE_Leap_15.0 | KDE Apps | Sí | (r ) Sí | Sí | 93 | http://download.opensuse.org/repositories/KDE:/Applications/KDE_Frameworks5_openSUSE_Leap_15.0/
    7 | openSUSE_Leap_15.0 | KDE Extra | Sí | (r ) Sí | Sí | 94 | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_15.0/
    1 | Bumblebee | Bumblebee | Sí | (r ) Sí | Sí | 99 | http://download.opensuse.org/repositories/X11:/Bumblebee/openSUSE_Leap_15.0/
    6 | openSUSE-Leap-15.0-1 | openSUSE-Leap-15.0-1 | Sí | (r ) Sí | Sí | 99 | http://download.opensuse.org/distribution/leap/15.0/repo/oss
    8 | opensuse-guide.org-repo | Libdvdcss Repository | Sí | (r ) Sí | Sí | 99 | http://opensuse-guide.org/repo/openSUSE_Leap_15.0/
    14 | repo-non-oss | openSUSE-Leap-15.0-Non-Oss | Sí | (r ) Sí | Sí | 99 | http://download.opensuse.org/distribution/leap/15.0/repo/non-oss/
    17 | repo-update | openSUSE-Leap-15.0-Update | Sí | (r ) Sí | Sí | 99 | http://download.opensuse.org/update/leap/15.0/oss/
    18 | repo-update-non-oss | openSUSE-Leap-15.0-Update-Non-Oss | Sí | (r ) Sí | Sí | 99 | http://download.opensuse.org/update/leap/15.0/non-oss/
    PHP]
    Última edición por enae; 28-may-2019 a las 11:47

  5. Gracias SergioNN ha agradecido este mensaje
  6. #4
    Fecha de Ingreso
    02-marzo-2013
    Ubicación
    Lat. 27.994547-Lon -15.405127-160m nivel del mar
    Mensajes
    4.891
    Post Thanks / Like
    Poder de Credibilidad
    11

    Exclamation

    Cita Iniciado por Krovikan Ver Mensaje
    ¿Que repos dejastes activos con versión cambiada? ¿Los oficiales de openSUSE o algún otro?

    Es que tengo un gran lista de repos (oficiales, Frameworks 5, Qt 5, KDE Apps, KDE Extra, Packman, kernel stable, Wine, Mozilla, libdvdcss, skype).


    Saludos
    Hola:

    Tanto los oficiales, como los comunitarios, corresponden a su distro de 15.1, pongámos por ejemplo mozilla, packman: " download.opensuse.org/repositories/mozilla/openSUSE_Leap_15.1/" y por si quieres comprobar mas : "http://download.opensuse.org/repositories/" esto es para rpm .

    Packman : "http://packman.inode.at/suse/openSUSE_Leap_15.1/ " (no se si el anterior pudiese haber oss-update) .

    Zypper dup es recomendable cuando se hace una instalación nueva, ya después de añadir proveedores no se aconseja.

    DUP no solo cambia a una distro nueva, si no que actualiza,des actualiza, cambia de proveedor, etc, cosa que sin opciones no hace up.

    Por otro lado hay varias formas de actualizar : desde el sistema, desde la net y en live (siempre y cuando se añadieron los proveedores, ojo siempre es importante la prioridad) .

    EN live de 15.1 se puede hacer instalación nueva y actualizar desde el mismo live : " http://download.opensuse.org/distrib...eap/15.1/live/ "



    Saludos
    Imágenes Adjuntas Imágenes Adjuntas
    Última edición por mikrios; 28-may-2019 a las 11:43 Razón: corregir

  7. Gracias SergioNN ha agradecido este mensaje
  8. #5
    Fecha de Ingreso
    07-febrero-2007
    Ubicación
    Ourense
    Mensajes
    8.592
    Post Thanks / Like
    Poder de Credibilidad
    21
    Hola.

    @mikrios, sí, supongo que sí lo de zypper dup. No obstante, es la forma correcta de actualizar una distribución entera, al menos mientras no sean muchos repositorios. zypper up me había dejado unos doscientos paquetes sin instalar y aun tengo la duda de si habría actualizado el paquete de ncurses-pkg.

    @Krovikan, tengo más o menos los mismos repositorios que @enae, y alguno más:
    :~> zypper lr -upPE
    Código PHP:
    #  | Alias                              | Nome                                    | Activado | Comprobación GPG | Actualizar | Prioridade | URI                                                                                             
    ---+------------------------------------+-----------------------------------------+----------+------------------+------------+------------+-------------------------------------------------------------------------------------------------
     
    openSUSE_Leap_15.0_1               Qt5                                     Si       | (Si          Si         |   91       http://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_15.1/                          
    10 openSUSE_Leap_15.0_2               Frameworks5                             Si       | (Si          Si         |   91       http://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_15.1/                  
    11 openSUSE_Leap_15.0_3               KDE Extra                               Si       | (Si          Si         |   91       http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_15.1/                        
     
    KDE_Frameworks5_openSUSE_Leap_15.0 Applications KDE                        Si       | (Si          Si         |   99       https://download.opensuse.org/repositories/KDE:/Applications/KDE_Frameworks5_openSUSE_Leap_15.1/
     
    download.nvidia.com-leap           nVidia Graphics Drivers                 Si       | (Si          Si         |   99       https://download.nvidia.com/opensuse/leap/15.1                                                  
     
    download.opensuse.org-non-oss      Repositorio Principal (NON-OSS)         | Si       | (Si          Si         |   99       http://download.opensuse.org/distribution/leap/15.1/repo/non-oss/                               
     
    download.opensuse.org-non-oss_1    Repositorio de actualización (Non-Oss)  | Si       | (Si          Si         |   99       http://download.opensuse.org/update/leap/15.1/non-oss/                                          
     
    download.opensuse.org-oss          Repositorio Principal (OSS)             | Si       | (Si          Si         |   99       http://download.opensuse.org/distribution/leap/15.1/repo/oss/                                   
     
    download.opensuse.org-oss_1        Repositorio de actualizacións principal Si       | (Si          Si         |   99       http://download.opensuse.org/update/leap/15.1/oss                                               
    12 openSUSE_Leap_15.0_4               Geo                                     Si       | (Si          Si         |   99       https://download.opensuse.org/repositories/Application:/Geo/openSUSE_Leap_15.1/                 
    13 openSUSE_Leap_15.0_5               LibreOffice 6.2                         Si       | (Si          Si         |   99       http://download.opensuse.org/repositories/LibreOffice:/6.2/openSUSE_Leap_15.1/                  
    14 opensuse-guide.org-repo            Libdvdcss Repository                    Si       | (Si          Si         |   99       http://opensuse-guide.org/repo/openSUSE_Leap_15.1/                                              
    15 packman.inode.at-suse              Packman Repository                      Si       | (Si          Si         |   99       http://packman.inode.at/suse/openSUSE_Leap_15.1/                                                
    22 teamviewer                         TeamViewer x86_64                     Si       | (Si          Non        |   99       http://linux.teamviewer.com/yum/stable/main/binary-x86_64/ 
    Lo suyo es que compruebes si están los definitivos (por ejemplo el de wine) y muy probablemente no querrás tener ninguno de proyectos personales (home).

    Salud!!

  9. Me Gusta SergioNN le ha gustado este mensaje
  10. #6
    Fecha de Ingreso
    08-abril-2010
    Ubicación
    /HOME
    Mensajes
    3.745
    Post Thanks / Like
    Poder de Credibilidad
    13
    dup = distro upgrade
    es el comando para utilizar al cambiar de repositorios o si utilizas Tumbleweed. Zypper "sabe" si estás utilizando una u otra y actúa en consecuencia.

    zypper up o zypper patch para la actualización del sistema una vez actualizado a la 15.1 con dup
    Guía básica de openSUSE Leap para recién llegados a GNU/Linux.
    → Mi blog sobre openSUSE, GNU/Linux, software libre ...y de todo un poco: Victorhck in the free world
    → Me puedes seguir en: Mastodon - diaspora* - PixelFed

  11. Me Gusta SergioNN le ha gustado este mensaje

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Temas Similares

  1. Actualización a Leap 42.2 desde suse 13.2
    By mg519903 in forum Instalación y Actualizaciones
    Respuestas: 5
    Último mensaje: 14-dic-2016, 02:35
  2. Desde la ultima actualizacion, pantalla en negro
    By 1persona in forum Instalación y Actualizaciones
    Respuestas: 2
    Último mensaje: 21-jul-2015, 05:39
  3. actualizacion desde suse
    By annubis in forum Instalación y Actualizaciones
    Respuestas: 1
    Último mensaje: 20-mar-2007, 00:17
  4. Instalar sin CD, Actualizacion desde Red Local
    By joseluisbz in forum Instalación y Actualizaciones
    Respuestas: 5
    Último mensaje: 09-ene-2007, 22:51
  5. Obtener 10.2 desde actualización de la 10.0
    By Jose_C in forum General OpenSUSE
    Respuestas: 2
    Último mensaje: 13-dic-2006, 16:56

Marcadores

Normas de Publicación

  • No puedes crear nuevos temas
  • No puedes responder mensajes
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •